*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:'Poppins',sans-serif;
}

body{
background:linear-gradient(-45deg,#0f172a,#1e3a8a,#0ea5e9,#06b6d4);
background-size:400% 400%;
animation:bg 10s ease infinite;
min-height:100vh;
padding:30px;
color:white;
}

@keyframes bg{
0%{background-position:0% 50%;}
50%{background-position:100% 50%;}
100%{background-position:0% 50%;}
}

.container{
max-width:1300px;
margin:auto;
}

.top-bar{
display:flex;
justify-content:space-between;
align-items:center;
margin-bottom:30px;
}

.search{
display:flex;
gap:10px;
}

.search input{
padding:12px 15px;
width:250px;
border:none;
border-radius:12px;
}

.search button{
padding:12px 18px;
border:none;
border-radius:12px;
cursor:pointer;
}

.hero-card{
background:rgba(255,255,255,.15);
backdrop-filter:blur(15px);
padding:30px;
border-radius:25px;
display:flex;
justify-content:space-between;
align-items:center;
box-shadow:0 10px 40px rgba(0,0,0,.2);
}

.hero-card img{
width:180px;
}

.temp{
font-size:90px;
font-weight:700;
}

.stats{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
gap:20px;
margin-top:25px;
}

.card{
background:rgba(255,255,255,.15);
padding:25px;
border-radius:20px;
backdrop-filter:blur(10px);
transition:.4s;
}

.card:hover{
transform:translateY(-10px);
}

.forecast{
margin-top:30px;
}

.hourly{
display:flex;
gap:20px;
overflow-x:auto;
margin-top:20px;
}

.hour-card{
min-width:150px;
padding:25px;
background:rgba(255,255,255,.15);
border-radius:20px;
text-align:center;
backdrop-filter:blur(15px);
}

.hour-card h2{
font-size:40px;
margin:10px 0;
}

.bottom-grid{
margin-top:30px;
display:grid;
grid-template-columns:1fr 1fr;
gap:20px;
}

.large-card{
background:rgba(255,255,255,.15);
padding:30px;
border-radius:20px;
backdrop-filter:blur(15px);
}

.sun{
display:flex;
justify-content:space-around;
margin-top:20px;
}

@media(max-width:768px){

.top-bar{
flex-direction:column;
gap:20px;
}

.hero-card{
flex-direction:column;
text-align:center;
}

.bottom-grid{
grid-template-columns:1fr;
}

.temp{
font-size:70px;
}
}